#' A vector containing names of all sampling generators
#'
#' @description
#' `samplingGenerators` is a vector containing names of all generators which can be used to sample synthetic
#' fuzzy numbers (trapezoidal or triangular).
#'
#' @return This function returns a vector of strings.
#'
#'
#' @examples
#'
#' # check the names of the available sampling generators
#'
#' samplingGenerators
#'
#' @export

samplingGenerators <- c("GeneratorNU","GeneratorNExpUU","GeneratorFuzzyNumbers")
